<?php
/*
 *  Copyright: (C) 2008 TutorialMS 
 *              
 *  This file is part of TutorialMS.							 
 *																			 
 * TutorialMS is free software: you can redistribute it   
 * and/or modify it under the terms of the GNU General    
 * Public License as published by the Free Software		 
 * Foundation, either version 3 of the License, or        
 * (at your option) any later version.							 
 *																			 
 * TutorialMS is distributed in the hope that it will be  
 * useful, but WITHOUT ANY WARRANTY; without even the     
 * implied warranty of MERCHANTABILITY or FITNESS FOR A  
 * PARTICULAR PURPOSE.  See the GNU General Public		    
 * License for more details.										 
 *																			 
 * You should have received a copy of the GNU General 	 
 * Public License along with TutorialMS.  					 
 * If not, see <http://www.gnu.org/licenses/>.            
*/
$contact_page = 1;
require('includes/config.php');
require_once('includes/classes/template.php');
require_once('includes/functions.php');
require_once('includes/global.php');
require_once('includes/classes/tutorial.php');
$messages['email_result'] = '';
if(isset($_POST['submit_email'])) {

	if($_POST['name'] == NULL || $_POST['email'] == NULL || $_POST['subject'] == NULL || $_POST['message'] == NULL) {
		$error = 1;
		$messages['email_result'] = '<span class="warningtext">One of the fields were left blank.</span>
		<br />
		<br />';
	}else{
		$error = 2;
		$name = check_slashes($_POST['name'], 2);
		$email = check_slashes($_POST['email'], 2);
		$subject = check_slashes($_POST['subject'], 2);
		$message = check_slashes($_POST['message'], 2);
	}
	if($error == 2) {
		$headers = 'From: '. $email . "\r\n" .
	   'Reply-To: '.$email . "\r\n";
$full_message = 'This message was sent from your TutorialMS installtion\'s Contact Us page.
		
Sender\'s name: '.$name.'
Sender\'s email: '.$email.'
		
------------------------------------------------
'.$message.'
------------------------------------------------';
		
		mail($config['ADMIN_EMAIL'], $config['COMPANY_NAME'].' - '.$subject, $full_message, $headers);
		$messages['email_result'] = '<span class="warningtext">Message sent successfully.</span>
		<br />
		<br />';
	}
}
$subjects_un_parsed = $config['CONTACT_US_SUBJECTS'];
$exploded_subjects = explode(';', $subjects_un_parsed);
$bits['contact_us_subjects'] = '';
foreach($exploded_subjects as $value) {
	$bits['contact_us_subjects'] .= '<option value="'.$value.'">'.$value.'</option>';
}
echo template(CURRENT_STYLE_ID, 'header');
echo template(CURRENT_STYLE_ID, 'column_left_start');
echo bit_template(CURRENT_STYLE_ID, 'main_navbits');
echo template(CURRENT_STYLE_ID, 'column_left_end');
echo template(CURRENT_STYLE_ID, 'column_middle_start');
echo template(CURRENT_STYLE_ID, 'contact_us_break');
echo template(CURRENT_STYLE_ID, 'contact_us');
echo template(CURRENT_STYLE_ID, 'column_middle_end');
echo template(CURRENT_STYLE_ID, 'column_right_start');
echo template(CURRENT_STYLE_ID, 'site_statistics');
echo template(CURRENT_STYLE_ID, 'affiliates_break');
echo bit_template(CURRENT_STYLE_ID, 'affiliates_bit');
echo template(CURRENT_STYLE_ID, 'announcements_break');
echo bit_template(CURRENT_STYLE_ID, 'announcements_bit');
echo template(CURRENT_STYLE_ID, 'column_right_end');
echo template(CURRENT_STYLE_ID, 'footer');
?>