<?php
/*
 *  Copyright: (C) 2008 TutorialMS 
 *              
 *  This file is part of TutorialMS.							 
 *																			 
 * TutorialMS is free software: you can redistribute it   
 * and/or modify it under the terms of the GNU General    
 * Public License as published by the Free Software		 
 * Foundation, either version 3 of the License, or        
 * (at your option) any later version.							 
 *																			 
 * TutorialMS is distributed in the hope that it will be  
 * useful, but WITHOUT ANY WARRANTY; without even the     
 * implied warranty of MERCHANTABILITY or FITNESS FOR A  
 * PARTICULAR PURPOSE.  See the GNU General Public		    
 * License for more details.										 
 *																			 
 * You should have received a copy of the GNU General 	 
 * Public License along with TutorialMS.  					 
 * If not, see <http://www.gnu.org/licenses/>.            
*/
$is_install = 1;
require_once('../includes/config.php');
require_once('functions.php');
error_reporting(0);
?>
<style type="text/css">
body {
	font-family: arial;
	font-size: 13px;
	color: #298ed4;
	margin: 0px;
	background: url(../images/logo_pattern.jpg) repeat-x;
}

a {
	color: #298ed4;
	font-size: 16px;
	font-weight: bold;
	text-decoration: none;
}

.valid {
	color: green;
	font-size: 14px;
	font-weight: bold;
}

.warn {
	color: black;
	font-size: 14px;
	font-weight: bold;
}

.error {
	color: red;
	font-size: 14px;
	font-weight: bold;
}

.results {
	padding: 20px;
}

#container {
	width: 800px;
	text-align: left;
}

#steps {
	float: right;
	margin: 20px;
}

li {
	padding: 15px;
}

input {
	float: right;
	border: 1px solid #b5ddff;
	color: #2b8dd8;
	background: #ffffff;
  	font-size: 11px;
}

select {
	float: right;
	border: 1px solid #b5ddff;
	color: #2b8dd8;
  	font-size: 11px;
}
</style>
<script type="text/javascript" src="javascript.js"></script>
<center>
<br /><br />
<h1>TutorialMS 1.4 Installer</h1>
<br /><br />
<div id="container">
	<?php
	switch($_GET['step']) {
		case 3:
	?>
		<ul id="steps">
			<li>1. Validate</li>
			<li>2. Gather Info</li>
			<li><strong>3. Finish</strong></li>			
		</ul>
		You are now finished installing TutorialMS. To begin using it you will need to remove the /install/ directory (and all of the contents), then you can view the <a href="../">main page here</a> or access the <a href="../admin/">admin panel here</a>.
		<br /><br />Feel free to drop by our <a href="http://www.tutorialms.com/forum/">forum</a> for support.
		<br /><br />Enjoy TutorialMS 1.4.
		
	<?php
		break;
		case 2:
			if(isset($_POST['submitdata'])) {
				$error = '';
				if(!isset($_POST['auser']) || $_POST['auser'] == '' ||	!isset($_POST['p1']) || $_POST['p1'] == '' ||	!isset($_POST['p2']) || $_POST['p2'] == '' ||	!isset($_POST['name']) || $_POST['name'] == '' || !isset($_POST['email']) || $_POST['email'] == '' || !is_numeric($_POST['rewrite']) || !isset($_POST['httpserv']) || $_POST['httpserv'] == '') {
					$error = 'A field was left blank';
				}else{
					$auser = check_slashes($_POST['auser']);
					$p1 = md5($_POST['p1']);
					$p2 = md5($_POST['p2']);
					$name = check_slashes($_POST['name']);
					$email = check_slashes($_POST['email']);
					$rewrite = $_POST['rewrite'];
					$httpserv = check_slashes($_POST['httpserv']);
					
					if(!preg_match("/^[A-Z0-9 ]+$/i", $_POST['auser'])) {
						$error = 'The admin username contained unwanted characters (Only use letters, numbers and spaces).<br />';		
					}
					if($p1 != $p2) {
						$error .= 'The passwords do not match.<br />';
					}
					
					if($error == '') {
						custom_data($name, $httpserv, $rewrite, $email, $auser, $p1);
						header("Location: install.php?step=3");
						echo '<meta HTTP-EQUIV="REFRESH" content="0; url=install.php?step=3">';						
						die();
					}
				}
				
			}
	?>
		<ul id="steps">
			<li>1. Validate</li>
			<li><strong>2. Gather Info</strong></li>
			<li>3. Finish</li>			
		</ul>
		<form action="install.php?step=2" method="post">
		<div style="width: 450px;">
		<?php
			if(isset($error)) {
				echo '<span class="error">'.$error.'</span><br /><br />';			
			}		
		?>
		<i>Choose wisely, you cannot change this log in after you install</i><br /><br />
		<div style="float: left;">Admin Username: </div><input size="35" type="text" name="auser" value="<?php if(isset($error)) { echo $_POST['auser']; } ?>" /><br /><br />
		<div style="float: left;">Password: </div><input size="35" type="password" name="p1" /><br /><br />
		<div style="float: left;">Confirm Password: </div><input size="35" type="password" name="p2" /><br /><br /><br /><br />
		<i>The title of your tutorial site</i><br /><br />
		<div style="float: left;">Site Name: </div><input size="35" type="text" name="name" value="<?php if(isset($error)) { echo $_POST['name']; } ?>" /><br /><br /><br /><br />
		<i>Messages from the contact form will be sent to this address</i><br /><br />
		<div style="float: left;">Email: </div><input size="35" type="text" name="email" value="<?php if(isset($error)) { echo $_POST['email']; } ?>" /><br /><br /><br /><br />
		<i>Enable to have clean, SEO friendly URLs (do not enable if you got a warning on the first page about it)</i><br /><br />
		<div style="float: left;">MOD-Rewrite: </div><select name="rewrite"><option value="1">Enable</option><option value="2">Disable</option></select><br /><br /><br /><br />
		<i>URL of the root of the installation, this should be correct by default. All the links will use this at the start, so add/remove a 'www.' if desired.</i><br /><br />
		<div style="float: left;">Installation Root: </div><input size="35" type="text" name="httpserv" value="http://<?php echo substr($_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'], 0, -19); ?>" /><br /><br /><br /><br />
		<input type="submit" name="submitdata" value="Finish" />
		</div>
		</form>
	<?php
			break;
		case 3:
	?>
	
	<?php
			break;
		default:
	?>
		<ul id="steps">
			<li><strong>1. Validate</strong></li>
			<li>2. Gather Info</li>
			<li>3. Finish</li>			
		</ul>
		<div class="results">
			<?php
			check_dirs('avatars');
			?>
		</div>
		<div class="results">
			<?php
			check_dirs('default_avatars');
			?>
		</div>
		<div class="results">
			<?php
			check_dirs('icons');
			?>
		</div>
		<div class="results">
			<?php
			check_dirs('tutorial_images');
			?>
		</div>
		<div class="results">
			<?php
			check_ajax();
			?>
		</div>
		<div class="results">
			<?php
			check_modrewrite('file');
			?>
		</div>
		<br /><br />
		<span id="step1">
			<a href="javascript:next_step('step2');">Continue</a>
		</span>
		<span id="step2" style="display:none;">
			<span id="step1result" class="valid"></span>
			<br /><br />
			<a href="install.php?step=2">Continue</a>
		</span>
	<?php
		break;
	}
	?>
</div>
</center>