<?php
/*
 *  Copyright: (C) 2008 TutorialMS 
 *              
 *  This file is part of TutorialMS.							 
 *																			 
 * TutorialMS is free software: you can redistribute it   
 * and/or modify it under the terms of the GNU General    
 * Public License as published by the Free Software		 
 * Foundation, either version 3 of the License, or        
 * (at your option) any later version.							 
 *																			 
 * TutorialMS is distributed in the hope that it will be  
 * useful, but WITHOUT ANY WARRANTY; without even the     
 * implied warranty of MERCHANTABILITY or FITNESS FOR A  
 * PARTICULAR PURPOSE.  See the GNU General Public		    
 * License for more details.										 
 *																			 
 * You should have received a copy of the GNU General 	 
 * Public License along with TutorialMS.  					 
 * If not, see <http://www.gnu.org/licenses/>.            
*/
require('includes/config.php');
require_once('includes/classes/template.php');
require_once('includes/functions.php');
require_once('includes/global.php');
require_once('includes/classes/tutorial.php');
$do = $_GET['do'];
switch($do) {
	// sourcesite
	case 'sourcesite':
		// check if sourcesite exists
		$source = check_slashes($_GET['source']);
		$exists = mysql_num_rows(mysql_query("SELECT * FROM `tutorial_front` WHERE `source`='".$source."'"));
		if($exists < 1) {
			die("That sourcesite does not exist.");
		}
		header('Content-Type: text/xml');
		header('Pragma: no-cache');
		echo '<?xml version="1.0" encoding="UTF-8"?>'."\n";
		echo '<rss version="2.0">'."\n";
		echo '<channel>'."\n";
		
		echo '<title>'.COMPANY_NAME.' - Tutorials from '.stripslashes($_GET['source']).'</title>'."\n";
		echo '<link><![CDATA['.HTTP_SERVER.']]></link>'."\n";
		echo '<description>The '.NUMBER_LATEST_TUTORIALS.' latest tutorials from the site '.stripslashes($_GET['source']).'.</description>'."\n";
		
		$result = mysql_query("SELECT * FROM `tutorial_front` WHERE `approved`='1' AND `source`='".$source."' ORDER BY `date` DESC LIMIT 0,".NUMBER_LATEST_TUTORIALS);
		while($row = mysql_fetch_array($result)) {
			echo '<item>'."\n";
			echo '<title>'.$row['tutname'].'</title>'."\n";
			if(MOD_REWRITE_ON == 1) {
				echo '<link><![CDATA['.HTTP_SERVER.'tutorial_out/'.$row['id'].'/'.URL_Friendly($row['tutname']).'/]]></link>'."\n";
			}else{
				echo '<link><![CDATA['.HTTP_SERVER.'tutorial_out.php?id='.$row['id'].'&tutname='.URL_Friendly($row['tutname']).']]></link>'."\n";
			}
			echo '<description>'.$row['mcate'].' >> '.$row['scate'].'</description>'."\n";
			echo '</item>'."\n";
		}

		echo '</channel>'."\n";
		echo '</rss>'."\n";
	break;
	// category
	case 'cat':
		// check if cat exists
		$cat = check_slashes($_GET['cat']);
		$exists = mysql_num_rows(mysql_query("SELECT * FROM `navigation` WHERE `name`='".$cat."'"));
		if($exists != 1) {
			die("That category does not exist.");
		}
		header('Content-Type: text/xml');
		header('Pragma: no-cache');
		echo '<?xml version="1.0" encoding="UTF-8"?>'."\n";
		echo '<rss version="2.0">'."\n";
		echo '<channel>'."\n";
		
		echo '<title>'.COMPANY_NAME.' - '.stripslashes($cat).'</title>'."\n";
		echo '<link><![CDATA['.HTTP_SERVER.']]></link>'."\n";
		echo '<description>The '.NUMBER_LATEST_TUTORIALS.' latest tutorials from the category '.stripslashes($cat).'.</description>'."\n";
		
		$result = mysql_query("SELECT * FROM `tutorial_front` WHERE `approved`='1' AND `mcate`='".$cat."' ORDER BY `date` DESC LIMIT 0,".NUMBER_LATEST_TUTORIALS);
		while($row = mysql_fetch_array($result)) {
			echo '<item>'."\n";
			echo '<title>'.$row['tutname'].'</title>'."\n";
			if(MOD_REWRITE_ON == 1) {
				echo '<link><![CDATA['.HTTP_SERVER.'tutorial_out/'.$row['id'].'/'.URL_Friendly($row['tutname']).'/]]></link>'."\n";
			}else{
				echo '<link><![CDATA['.HTTP_SERVER.'tutorial_out.php?id='.$row['id'].'&tutname='.URL_Friendly($row['tutname']).']]></link>'."\n";
			}
			echo '<description>'.$row['mcate'].' >> '.$row['scate'].'</description>'."\n";
			echo '</item>'."\n";
		}

		echo '</channel>'."\n";
		echo '</rss>'."\n";
	break;
	// sub-category
	case 'subcat':
		// check if cat exists
		$cat = check_slashes($_GET['cat']);
		$exists = mysql_num_rows(mysql_query("SELECT * FROM `navigation` WHERE `name`='".$cat."'"));
		if($exists != 1) {
			die("That category does not exist.");
		}
		// check if sub-cat exists
		$subcat = check_slashes($_GET['subcat']);
		$exists = mysql_num_rows(mysql_query("SELECT * FROM `sub_categories` WHERE `name`='".$subcat."' AND `categorey`='".$cat."'"));
		if($exists != 1) {
			die("That sub-category does not exist.");
		}
		header('Content-Type: text/xml');
		header('Pragma: no-cache');
		echo '<?xml version="1.0" encoding="UTF-8"?>'."\n";
		echo '<rss version="2.0">'."\n";
		echo '<channel>'."\n";
		
		echo '<title>'.COMPANY_NAME.' - '.stripslashes($cat).' >> '.stripslashes($subcat).'</title>'."\n";
		echo '<link><![CDATA['.HTTP_SERVER.']]></link>'."\n";
		echo '<description>The '.NUMBER_LATEST_TUTORIALS.' latest tutorials from the sub-category '.stripslashes($subcat).' in '.stripslashes($cat).'.</description>'."\n";
		
		$result = mysql_query("SELECT * FROM `tutorial_front` WHERE `approved`='1' AND `mcate`='".$cat."' AND `scate`='".$subcat."' ORDER BY `date` DESC LIMIT 0,".NUMBER_LATEST_TUTORIALS);
		while($row = mysql_fetch_array($result)) {
			echo '<item>'."\n";
			echo '<title>'.$row['tutname'].'</title>'."\n";
			if(MOD_REWRITE_ON == 1) {
				echo '<link><![CDATA['.HTTP_SERVER.'tutorial_out/'.$row['id'].'/'.URL_Friendly($row['tutname']).'/]]></link>'."\n";
			}else{
				echo '<link><![CDATA['.HTTP_SERVER.'tutorial_out.php?id='.$row['id'].'&tutname='.URL_Friendly($row['tutname']).']]></link>'."\n";
			}
			echo '<description>'.$row['mcate'].' >> '.$row['scate'].'</description>'."\n";
			echo '</item>'."\n";
		}

		echo '</channel>'."\n";
		echo '</rss>'."\n";
	break;
	// latest tutorial
	case 'latest':
		header('Content-Type: text/xml');
		header('Pragma: no-cache');
		echo '<?xml version="1.0" encoding="UTF-8"?>'."\n";
		echo '<rss version="2.0">'."\n";
		echo '<channel>'."\n";
		
		echo '<title>'.COMPANY_NAME.' - Latest Tutorials</title>'."\n";
		echo '<link><![CDATA['.HTTP_SERVER.']]></link>'."\n";
		echo '<description>The '.NUMBER_LATEST_TUTORIALS.' latest tutorials.</description>'."\n";

		$result = mysql_query("SELECT * FROM `tutorial_front` WHERE `approved`='1' ORDER BY `date` DESC LIMIT 0,".NUMBER_LATEST_TUTORIALS);
		while($row = mysql_fetch_array($result)) {
			echo '<item>'."\n";
			echo '<title>'.$row['tutname'].'</title>'."\n";
			if(MOD_REWRITE_ON == 1) {
				echo '<link><![CDATA['.HTTP_SERVER.'tutorial_out/'.$row['id'].'/'.URL_Friendly($row['tutname']).'/]]></link>'."\n";
			}else{
				echo '<link><![CDATA['.HTTP_SERVER.'tutorial_out.php?id='.$row['id'].'&tutname='.URL_Friendly($row['tutname']).']]></link>'."\n";
			}
			echo '<description>'.$row['mcate'].' >> '.$row['scate'].'</description>'."\n";
			echo '</item>'."\n";
		}

		echo '</channel>'."\n";
		echo '</rss>'."\n";

	break;
	default:
	echo 'No action specified';
}
?>